%define upstream_name    URI-Encode
%define upstream_version v1.1.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Simple percent Encoding/Decoding
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 2.120.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This modules provides simple URI (Percent) encoding/decoding

The main purpose of this module (at least for me) was to provide an easy
method to encode strings (mainly URLs) into a format which can be pasted
into a plain text emails, and that those links are 'click-able' by the
person reading that email. This can be accomplished by NOT encoding the
reserved characters.

This module can also be useful when using the HTTP::Tiny manpage to ensure
the URLs are properly escaped.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.1.1-5.mga10
+ Revision: 2201259
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.1.1-4.mga9
+ Revision: 1806550
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.1-3.mga8
+ Revision: 1497979
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.1.1-2.mga7
+ Revision: 1272414
- Mageia 7 Mass Rebuild

* Sun May 08 2016 shlomif <shlomif> 1.1.1-1.mga6
+ Revision: 1010825
- update to v1.1.1

* Fri Apr 08 2016 shlomif <shlomif> 1.1.0-1.mga6
+ Revision: 999530
- update to v1.1.0

* Thu Feb 18 2016 umeabot <umeabot> 1.0.1-2.mga6
+ Revision: 965773
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 1.0.1-1.mga6
+ Revision: 837156
- update to v1.0.1

* Sat Oct 18 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 787830
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 749161
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 686765
- Mageia 5 Mass Rebuild

* Sun Jan 19 2014 shlomif <shlomif> 0.90.0-1.mga5
+ Revision: 566965
- imported package perl-URI-Encode


* Sun Jan 19 2014 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
